/*
 * Copyright (c) 2006-2008 Maskat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.sf.maskat.sample.petstore.dao;

import java.util.List;

import jp.sf.maskat.dao.GenericDAOJpaImpl;
import jp.sf.maskat.sample.petstore.entity.PetStoreProduct;

import org.springframework.dao.DataAccessException;
import org.springframework.stereotype.Repository;

/**
 * JPA を使用した {@link PetStoreProductDAO} の実装です。
 */
@Repository
public class PetStoreProductDAOJpaImpl extends
		GenericDAOJpaImpl<PetStoreProduct, String> implements
		PetStoreProductDAO {

	public PetStoreProductDAOJpaImpl() {
		super(PetStoreProduct.class);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see jp.sf.maskat.sample.petstore.dao.PetStoreProductDAO#findAllByCategoryId(java.lang.String)
	 */
	@SuppressWarnings("unchecked")
	public List<PetStoreProduct> findAllByCategoryId(String categoryId)
			throws DataAccessException {
		return getJpaTemplate().findByNamedQuery(
				"PetStoreProduct.findAllByCategoryId", categoryId);
	}
}
